/**
 * Created by zhang on 2018/9/10.
 */

let express = require("express");
let engineerFeatureRouter =express.Router();
import EngineerFeatureController from "../controllers/engineer_feature_controller";
let engineerFeatureController = new EngineerFeatureController();

module.exports =function (app) {

    engineerFeatureRouter.get("/main", engineerFeatureController.auth, engineerFeatureController.init, engineerFeatureController.main);
    engineerFeatureRouter.post("/addLib", engineerFeatureController.auth, engineerFeatureController.init, engineerFeatureController.addLib);
    engineerFeatureRouter.post("/findLib", engineerFeatureController.auth, engineerFeatureController.init, engineerFeatureController.findLib);
    engineerFeatureRouter.post("/saveLib", engineerFeatureController.auth, engineerFeatureController.init, engineerFeatureController.saveLib);
    engineerFeatureRouter.post("/deleteLibByID", engineerFeatureController.auth, engineerFeatureController.init, engineerFeatureController.deleteLibByID);
    engineerFeatureRouter.get("/edit/:libID", engineerFeatureController.auth, engineerFeatureController.init, engineerFeatureController.edit);


    app.use("/engineerFeature", engineerFeatureRouter);
};